Loading...
Searching...
No Matches
Elf64_Phdr Struct Reference
Utility Functions » ELF binary format

ELF64 program header. More...

`#include <elf.h>`

Collaboration diagram for Elf64_Phdr:

## Data Fields

Elf64_Word | p_type
| type of program section
Elf64_Word | p_flags
| flags
Elf64_Off | p_offset
| file offset of program section
Elf64_Addr | p_vaddr
| memory address of prog section
Elf64_Addr | p_paddr
| physical address (ignored)
Elf64_Xword | p_filesz
| file size of program section
Elf64_Xword | p_memsz
| memory size of program section
Elf64_Xword | p_align
| alignment of section

## Detailed Description

ELF64 program header.

Definition at line 438 of file elf.h.

## Field Documentation

## p_flags

Elf64_Word Elf64_Phdr::p_flags

flags

See also
  Elf_PFs

Definition at line 441 of file elf.h.

## p_type

Elf64_Word Elf64_Phdr::p_type

type of program section

See also
  Elf_PTs

Definition at line 440 of file elf.h.

The documentation for this struct was generated from the following file:

- l4/util/elf.h